New: AI video tools. Cut, clip, caption and dub your videos. See all video tools →
Avatars

Save the hook text card for an avatar video

PUT
/api/v1/talking-head/videos/{video_id}/hook

Path Parameters

video_id*Video Id

Request Body

application/json
  1. body
hook?

Hook card as {text, style, position, y, scale, duration, animation, params}, same looks as Clips; empty text draws none

Response Body

Successful Response

response?unknownapplication/json
Example Request
curl -X PUT 'http://127.0.0.1:8100/api/v1/talking-head/videos/string/hook' \  -H 'Content-Type: application/json' \  -d '{}'
Example Response
null